Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000802Core InformKinds and type checkingpublic2011-11-11 13:562014-05-07 07:33
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritymildReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000802: INDEXED_TEXT_TY_Cast allocates only one byte per character, even under Glulx
DescriptionINDEXED_TEXT_TY_Cast contains this line:

- - - -
indt = BlkAllocate(len+1, INDEXED_TEXT_TY, IT_Storage_Flags);
- - - -

but the argument to BlkAllocate should be a number of bytes, not the number of characters, as these counts differ under Glulx.
Minimal Source Text To Reproduce
There is room.

Table of Foo
who	activity
person	indexed text
yourself 	""

When play begins:
	now the activity corresponding to a who of yourself in the Table of Foo is "abcdefghijklmnopqrstuvwxyz".
Additional InformationThe output is:

*** BlkValueWrite: writing to index out of range: 24 in 328002 ***
*** BlkValueWrite: writing to index out of range: 25 in 328002 ***
*** BlkValueWrite: writing to index out of range: 26 in 328002 ***
*** BlkValueWrite: writing to index out of range: 27 in 328002 ***


The minimal source is based upon 0000801, seeing as I don't know another situation where indt would be 0.
TagsNo tags attached.
Effect(serious/mild) Game compiles but misbehaves
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2011-11-11 13:56 EmacsUser New Issue
2011-11-12 14:35 jmcgrew Status new => confirmed
2011-11-12 14:35 jmcgrew Additional Information Updated View Revisions
2011-12-13 20:35 EmacsUser Relationship added related to 0000801
2011-12-13 20:35 EmacsUser Relationship deleted related to 0000801
2014-02-01 07:22 graham Status confirmed => resolved
2014-02-01 07:22 graham Resolution open => fixed
2014-02-01 07:22 graham Assigned To => graham
2014-05-07 07:32 jmcgrew Fixed in Version => 6L02
2014-05-07 07:33 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker